Rating 4
Number of voters 7092
Compatibility Requires iOS 6.0 or later. Compatible with iPhone, iPad, and iPod touch.
Publication date 2017-01-06 0:00:00
Author Telegram LLC
Content Rating Rated 4+
Languages English, Arabic, Dutch, German, Italian, Korean, Portuguese, Spanish
Purchases a:0:{}